Bug 139423 - Not able to freely move an image anchored to paragraph (drag & drop) if image on the same line as the other image
Summary: Not able to freely move an image anchored to paragraph (drag & drop) if image...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Drag-and-Drop
  Show dependency treegraph
 
Reported: 2021-01-05 10:49 UTC by Telesto
Modified: 2023-10-09 17:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (104.03 KB, application/vnd.oasis.opendocument.text)
2021-01-05 10:49 UTC, Telesto
Details
Screencast (1.90 MB, video/mp4)
2021-01-06 18:34 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-01-05 10:49:23 UTC
Description:
Not able to freely move an image anchored to paragraph (drag & drop) if image on the same line as the other image

Steps to Reproduce:
1. Open the attached file
2. Try to drag & drop the yellow bordered image to the left using drag & drop 

Actual Results:
Refusal

Expected Results:
Compliance


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 4e3ce9dd6ace0b22f7b3f45cf2338b201f4dc305
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-01-05 10:49:42 UTC
Created attachment 168697 [details]
Example file
Comment 2 Telesto 2021-01-05 10:50:21 UTC
Also in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 3 Telesto 2021-01-05 10:51:45 UTC
Fine in
Versie: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 4 Telesto 2021-01-05 10:58:55 UTC
Bisected to
~/bibisect-44max$ git bisect good 6c9f891c30f7d4c59e35b1c34eec3ee7268353f2 is the first bad commit
commit 6c9f891c30f7d4c59e35b1c34eec3ee7268353f2
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sun Mar 15 00:45:05 2015 +0800

    source-hash-3c873206a9450058a11ab87cab5942d319c75c82
    
    commit 3c873206a9450058a11ab87cab5942d319c75c82
    Author:     Luboš Luňák <l.lunak@collabora.com>
    AuthorDate: Thu Aug 7 21:24:01 2014 +0200
    Commit:     Luboš Luňák <l.lunak@collabora.com>
    CommitDate: Thu Aug 7 21:46:51 2014 +0200
    
        fix picture jumping to incorrect X position after dragging
    
        If a picture anchored to character is dragged vertically, it can actually
        jump to the left, even though X should stay the same. This change
        basically reverts part of 5ddd93f4f90b3627a0ba63b62a5367c5e6c112a1.
        I haven't figured out how this GetBaseOfstForFly() actually works, but
        I'm reasonably sure that the relative X offset introduced by it
        in SwFlyAtCntFrm::SetAbsPos() is not undone anywhere in SwFlyFrm::ChgRelPos()
        or otherwise acted upon, it simply causes relative X position change, even though
        the absolute position remained the same.
    
        Change-Id: Iabf4f4e4268711a36f02aa47ca9624f9007a22a6

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3c873206a9450058a11ab87cab5942d319c75c82
:040000 040000 9b780c72d76b3ef11b5243d87290a09543307fca 53a44d81348732cb4900f3b12bd7245a91179694 M	opt
Comment 5 Telesto 2021-01-05 11:05:39 UTC
Adding CC: to Luboš Luňák
Three bug reports of mine (also bibisected by me, all unconfirmed) pointing to the same commit. So expecting to be true..

The commit is apparently fixing a bugdoc, but no clue which one
Comment 6 mulla.tasanim 2021-01-06 16:49:21 UTC
Thank you for reporting the bug. 

I tried couple of times and I can not reproduce the bug in

Version: 7.0.3.1 (x64)
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 761a672d62df1891b9f4f367a499b220ab2b33fa
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 7 Telesto 2021-01-06 18:34:58 UTC
Created attachment 168723 [details]
Screencast

Another way.. simply select the image with yellow border and press arrow left
Comment 8 Buovjaga 2021-09-11 06:08:09 UTC
Repro. Hold the Shift key to constrain the movement to a straight line and try to drag to the left. Doesn't move.

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: e6a8d312d3d7e5d81c56d5ccc0508116dd283f1f
CPU threads: 8; OS: Linux 5.14; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Comment 9 QA Administrators 2023-09-12 03:05:49 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug